Workspaces

Organise training jobs and models.
View as Markdown

A workspace is the context for training jobs, models, and their metadata.

Create a workspace before starting a training job, or reuse an existing workspace when you want the new model to belong to the same modelling area.

Create a workspace

Create a workspace with a name that describes the modelling area, project, or use case.

POST
/workspaces
1curl -X POST https://api.hi.umnai.com/workspaces \
2 -H "Authorization: Bearer <token>" \
3 -H "Content-Type: application/json" \
4 -d '{
5 "name": "Sample Workspace"
6}'
Response
1{
2 "id": "1629dee48cc4e53161f9b2be8614e062",
3 "account": {
4 "id": "e268443e43d93dab7ebef303bbe9642f",
5 "name": "Sample Account"
6 },
7 "name": "Sample Workspace",
8 "created_at": "2026-03-24T13:12:54.215574Z",
9 "created_by": {
10 "id": "dad46b2058752ffde5eaf02f1eb6abd5",
11 "name": "Sample User"
12 },
13 "updated_at": null
14}

Save the returned workspace id. Training jobs use this value as the active workspace context.

Retrieve workspaces

Retrieve workspaces when you need to find an existing workspace for a training job or model.

GET
/workspaces
1curl https://api.hi.umnai.com/workspaces \
2 -H "Authorization: Bearer <token>"
Response
1{
2 "data": [
3 {
4 "id": "ea8b745ead39ec442fc3b4fba359bf98",
5 "name": "Sample Organisation",
6 "created_at": "2026-03-11T16:04:19.749000Z",
7 "updated_at": null,
8 "status": "ACTIVE"
9 }
10 ],
11 "pagination": {
12 "total_items": 1,
13 "items_per_page": 10,
14 "current_page": 1,
15 "total_pages": 1
16 }
17}

To inspect a specific workspace, retrieve it by id.

GET
/workspaces/:workspaceId
1curl https://api.hi.umnai.com/workspaces/{workspaceId} \
2 -H "Authorization: Bearer <token>"
Response
1{
2 "data": [
3 {
4 "id": "ea8b745ead39ec442fc3b4fba359bf98",
5 "name": "Sample Organisation",
6 "status": "ACTIVE",
7 "created_at": "2026-03-11T16:04:19.749000Z",
8 "updated_at": null
9 }
10 ],
11 "pagination": {
12 "total_items": 1,
13 "items_per_page": 10,
14 "current_page": 1,
15 "total_pages": 1
16 }
17}

Update a workspace

Update a workspace when you need to rename it.

PATCH
/workspaces/:workspaceId
1curl -X PATCH https://api.hi.umnai.com/workspaces/workspaceId \
2 -H "Authorization: Bearer <token>" \
3 -H "Content-Type: application/json" \
4 -d '{
5 "name": "Sample Workspace"
6}'
Response
1{
2 "id": "1629dee48cc4e53161f9b2be8614e062",
3 "account": {
4 "id": "e268443e43d93dab7ebef303bbe9642f",
5 "name": "Sample Account"
6 },
7 "name": "Sample Workspace",
8 "created_at": "2026-03-24T13:12:54.215574Z",
9 "created_by": {
10 "id": "dad46b2058752ffde5eaf02f1eb6abd5",
11 "name": "Sample User"
12 },
13 "updated_at": "2026-03-24T13:15:54.215574Z"
14}

Delete a workspace

Delete a workspace when it should no longer be used.

DELETE
/workspaces/:workspaceId
1curl -X DELETE https://api.hi.umnai.com/workspaces/workspaceId \
2 -H "Authorization: Bearer <token>"